import request from '@/utils/request'

// 查询添加个微信账号列表
export function listCompanyClient(query) {
  return request({
    url: '/company/companyClient/list',
    method: 'get',
    params: query
  })
}

// 查询添加个微信账号列表
export function addWxStatistics(query) {
  return request({
    url: '/company/companyClient/addWxStatistics',
    method: 'get',
    params: query
  })
}

// 查询添加个微信账号详细
export function getCompanyClient(id) {
  return request({
    url: '/company/companyClient/' + id,
    method: 'get'
  })
}

// 新增添加个微信账号
export function addCompanyClient(data) {
  return request({
    url: '/company/companyClient',
    method: 'post',
    data: data
  })
}
// 新增添加个微信账号
export function addWxClient(data) {
  return request({
    url: '/company/companyClient/addWxClient',
    method: 'post',
    data: data
  })
}

// 修改添加个微信账号
export function updateCompanyClient(data) {
  return request({
    url: '/company/companyClient',
    method: 'put',
    data: data
  })
}

// 删除添加个微信账号
export function delCompanyClient(id) {
  return request({
    url: '/company/companyClient/' + id,
    method: 'delete'
  })
}

// 导出添加个微信账号
export function exportCompanyClient(query) {
  return request({
    url: '/company/companyClient/export',
    method: 'get',
    params: query
  })
}
